# Agent-based modeling
# SciML&CS reading event: Agent-Based Modeling (ABM)

Reserve the date **21.03.2024 (14:30 - 15:30, Campus RJ, room 8.025)** for the coming reading event of the SciML&CS club (please react to the message if you are planning to come, so we can have an estimate of how many people are coming).


Imre Antalfy will be presenting on the topic "ABM: agent-based modeling". He sends the following information to get you up and ready for the event:

We will start with a presentation about the topic and will go into discussions afterwards. Agent-based modeling is used to study interaction between entities, where each entity is specified with a set of parameters to represent it. An example could be to study a predator-prey interaction in a given setting. In this example a "predator" agent is specified with a carnivorous need for food. A "prey" agent is defined with an herbivorous need for food. Both agents have a set speed and reproduction rate. After defining the agent, a world with a given size and amount of food is defined. Now one could study the implications of different food situations or evolutional adaptations.

Content:
- Intro and Fundamentals
- Application of the model
- Options for a healthy model

The presentation is hosted at http://sml-cs.pages.gitlab.ost.ch/reading-events/agent-based-modeling/Agent_based_modeling_presentation.pdf

## Supporting material

- Intro to Agent based modeling and its techniques
  
  https://www.researchgate.net/publication/226379169_Introduction_to_Agent-Based_Modelling
  
  http://dx.doi.org/10.1007/978-90-481-8927-4_5

- Quick Video Material:

  - Lighthearted explanation of the idea: https://www.youtube.com/watch?v=eo-BIKAu8Bc&list=PLsv8cj_Tu8Ks_JKH9ZshfA6C6DO3MAG_q

  - Visual representation of AI type ABM: https://www.youtube.com/watch?v=kopoLzvh5jY


- Workflow of ABM: Here you will find vital setup information about what to consider BEFORE using ABM's. The Overview will help to make your ABM approach more resilient and reproducable.

https://www.sciencedirect.com/science/article/pii/S1364815222002146?via%3Dihub


## Other material

- ABM to tackle a societal/economical problem with roots on technology: https://zenodo.org/records/4817330
- Here is the ABM course from the Santa Fe complexity group (with Netlogo): https://www.complexityexplorer.org/courses/121-introduction-to-agent-based-modeling-2021
- Here some papers on using ABM to discover|study macroscopic observables (a very relevant topic for applied science):
  - (An intro focused on macroscopic observables) https://www.sciencedirect.com/science/article/pii/S1364815222002146?casa_token=XuvW3545lbEAAAAA:ORJ2RVXupmWXK-QSufX0aNG3-LNlLPN5XNpTtyB2ri0uDeMoIMqGiWG06jhXRp8GupbW--tJox-k
  -  (focus on difficulty of validation and testing) https://www.sciencedirect.com/science/article/pii/S1877343523000702?casa_token=3iBOgckYHHoAAAAA:OT9CCoSNbpI8lowZvBO_XSySgHT42yay6ZecIg6QM5vMsnbC3OdFs_hlhSdANVSsIksZ6LSnpF0n
  - (focus on equation-free modeling) https://www.sciencedirect.com/science/article/pii/S0168927414002086?casa_token=Bl5llTqOgp8AAAAA:V0W-6BKUx6fhL6YMSvhj0In-wLaih7ZhpxyW_iMQllcwHC5yV8ASozHGlo1Gksx3CeHJ8aSVo5Fu


